<apex:page controller="DM_Home_dashboard_ctrl" sidebar="false" id="page">
    <apex:includeScript value="https://ajax.googleapis.com/ajax/libs/jquery/1.10.0/jquery.min.js" />
    <apex:includeScript value="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.0/jquery-ui.min.js" />




<apex:form >
  <style>
 /* table#t01 td {
    border: 1px solid black;
    padding: 4px;
     background-color: #dddddd;
     color:#444;
}

table#t01  th {
    border: 1px solid black;
   align: center;
    padding: 4px;
    background-color: #6aacd8;
    color: white;
     
}*/
    .graphSection { height: 345px; }
    body.hasMotif.vf-body { margin: 0px; }
    .center { text-align: center; }
    .right { text-align: right; }
      
      body .pbBody table.list tr.dataRow th, body .pbBody table.list tr.dataRow td {border-left: #efefff solid 1px; }
      h2.header { font-size: 15px; }
      th.header { font-size: 15px!important; }
      .no-margin { margin-left: 0px!important; margin-right: 0px!important; }
</style>
 
 <script>
 
  </script> 
  
  
<head>
    <c:myCustomCSS />
</head>
<center>
   <apex:outputPanel rendered="{!IF(gProfileName == 'HO' || gProfileName == 'RM', true, false)}">

                            <apex:outputPanel rendered="{!IF(gProfileName == 'HO', true, false)}">
                               <b> Region </b>&nbsp;
                                <apex:selectList value="{!regionSelected}"
                                    size="1" onChange="RefreshDistrictList();" style="width:100px;">
                                    <apex:selectOptions value="{!regionList}" />
                                </apex:selectList>  &nbsp;
                            </apex:outputPanel>

                            <apex:outputPanel id="districtRefreshList"> 
                               <b> District</b> &nbsp;
                                <apex:selectList value="{!districtSelected}"
                                    size="1" onChange="Refreshtable();"
                                    style="width:133px;">
                                <apex:selectOptions value="{!districtList}" />
                             </apex:selectList>&nbsp;
                            </apex:outputPanel>

                            
                            
                        </apex:outputPanel>
</center>
                        
            <apex:actionFunction name="RefreshDistrictList"
                            rerender="Refreshtable,mainTable,districtRefreshList,selectedPosition,charttable" 
                            
                            action="{!districtListChange}">
               </apex:actionFunction>
               
               
              <apex:actionFunction name="Refreshtable"
                             rerender="mainTable,charttable"   action="{!getTerritorybyLoggedUser}">
                        </apex:actionFunction>
  
  <apex:outputPanel id="mainTable" >

       <!--  <div class="graphSection"> -->
        <!-- <table width='100%' >
             <tr><td align="center"> <b>Target (ADD/Drop)</b></td><td align="center"><b> Target (Disruption)</b></td></tr>
             <tr><td>
             
                       <apex:chart data="{!tablelist}" height="300" width="600" background="white" id="chart1">
                                                        <apex:legend position="bottom" ></apex:legend>
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="add,drop" steps="2" id="tt" >
                                                            
                                                            <apex:chartLabel /> 
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
                                                            <apex:chartLabel rotate="240"  font="bold 8px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:barSeries orientation="vertical" axis="left"
                                                            xField="Territory" yField="add,drop" title="Add,Drop">
                                                             
                                                            <apex:chartTips height="40" width="120"/>
                                                        </apex:barSeries>
                                                            
                        </apex:chart>
                                            
                    </td>                       
                    <td>                        
                       <apex:chart data="{!tablelist}" height="300" width="600" background="#F5F5F5" id="chart2">
                                <apex:legend position="left" font="bold 8px Helvetica"/>
                                <apex:pieSeries tips="true"  dataField="Disruption" labelField="Territory" donut="0">
                                <apex:chartLabel display="none"/>
                                <apex:chartTips height="40" width="120"/>
                                </apex:pieSeries>
                                    
                                
                    </apex:chart>
                    
                    <apex:chart data="{!tablelist}" height="300" width="600" background="white" id="chart6">
                                                        <apex:legend position="bottom" ></apex:legend>
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="Disruption" steps="2"  >
                                                            
                                                            <apex:chartLabel /> 
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
                                                            <apex:chartLabel rotate="250"  font="bold 8px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:scatterSeries axis="left"
                                                            xField="Territory" yField="Disruption" title="Disruption">
                                                             
                                                            <apex:chartTips height="40" width="120"/>
                                                        </apex:scatterSeries>
                                                            
                        </apex:chart>
                    
                    
                </td></tr>  
                <tr><td colspan="2">
             
                       <apex:chart data="{!tablelist1}" height="300" width="600" background="white" id="chart3">
                                                        <apex:legend position="bottom" ></apex:legend>
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="countVal" steps="2" >
                                                            
                                                            <apex:chartLabel /> 
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="" title="FeedbackStatus" >
                                                            <apex:chartLabel rotate="290"  font="bold 8px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:barSeries orientation="vertical" axis="left"
                                                            xField="FeedbackStatus" yField="countVal" title="submitedCount,notSubmitedCount,inProgressCount">
                                                             
                                                            <apex:chartTips height="40" width="120"/>
                                                        </apex:barSeries>
                                                            
                        </apex:chart>
                                            
                    </td>   
                    </tr>  
                
        </table> -->
       <!--  </div> -->
          <!--<apex:pageblock mode="maindetail" >--> 
          <apex:pageblock > 
          <div align="center"><h2><!-- {!districtSelected} -->{!territoryName}</h2></div>
          <div class="pbHeader">
            <div align="center" style="border-bottom: 1px solid #dbdbdb; line-height: 25px;">


                <apex:image value="{!$Resource.AxtriaSalesIQTM__redicon1}" width="12px" height="12px"/>

                Not Started &nbsp;&nbsp;&nbsp;

                <apex:image value="{!$Resource.blueCircle}" width="12px" height="12px"/>

                In Progress &nbsp;&nbsp;&nbsp;
                
                <apex:image value="{!$Resource.Amber}" width="12px" height="12px"/>
                
                Submitted &nbsp;&nbsp;&nbsp;

                <apex:image value="{!$Resource.AxtriaSalesIQTM__greenicon1}" width="12px" height="12px"/>

                Approved &nbsp;&nbsp;&nbsp;


            </div>
          </div>
          <apex:pagemessages />
           <!-- <apex:pageblockTable value="{!tablelist}" var="tl" style=" margin-top: 2%; width: 92%;"> -->
           <div class="pbBody no-margin">
            <table class="list" cellspacing="0" cellpadding="0" border="0" >
              <tbody>
               <tr class="headerRow">
                    <!-- <th colspan="4"></th> --><th colspan="5"></th>
                    <th colspan="6" class="center header">HCP Targets</th>
                    <th colspan="4" class="center header">Calls</th>
                </tr>
                 <tr class="headerRow">
                    <th>Change<br/>Request</th>
                    <th>Territory</th>
                    <th>Territory ID</th>
                    <th class="center"><!--Feedback<br/>-->Status</th>
                    <th># Logins</th>
                    <th class="center">Q2-2017</th>
                    <th class="center">Q3-2017<br/>Pre Refinement</th>
                    <th class="center">Q3-2017<br/>Post Refinement</th>
                    <th class="center">Adds</th>
                    <th class="center">Drops</th>
                    <th class="center" title = "(Target Added+ Target Dropped)*100 / Last Cycle Targets">% Change</th>
                    <th class="center">Q2-2017</th>
                    <th class="center">Q3-2017<br/>Pre Refinement</th>
                    <th class="center">Q3-2017<br/>Post Refinement</th>
                    <th class="center" title = "(Updated Calls – Original Calls)*100 / Original Calls" >% Change</th>
                    
                </tr>
              
                <apex:repeat value="{!tablelist}" var="tl">
                <tr class="dataRow">
                <td class=" dataCell  ">
                    <apex:outputPanel rendered="{!if(tl.changerequest=='N/A','false','true')}">
                        <a href='#' onclick="window.open('/{!tl.changerequestid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                            {!tl.changerequest}
                        </a>
                    </apex:outputPanel>
                    <apex:outputPanel rendered="{!if(tl.changerequest=='N/A','true','false')}">
                        {!tl.changerequest}
                    </apex:outputPanel>
                </td>
                
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!tl.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!tl.Territory}
                    </a>
                </td>
                
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!tl.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!tl.Territorycode}
                    </a>
                </td>
                
                
                <td class=" dataCell  center"><apex:image value="{!If(tl.FeedbackStatus == 'Submitted', $Resource.Amber, IF( tl.FeedbackStatus == 'Saved', $Resource.blueCircle, If(tl.FeedbackStatus =='Not Started', $Resource.AxtriaSalesIQTM__redicon1, $Resource.AxtriaSalesIQTM__greenicon1)))}" width="12px" height="12px"/>
                </td>
                
                <td class=" dataCell right ">
                    {!tl.nooflogins}
                </td>
                
                <!--{!tl.FeedbackStatus}-->
                <td class=" dataCell right ">{!tl.lastCycleTarget}</td>
                <td class=" dataCell  right">{!tl.originalTarget}</td>
                <td class=" dataCell right ">{!tl.proposedTarget}</td>
                <td class=" dataCell right ">{!tl.add}</td>
                <td class=" dataCell right ">{!tl.drop}</td>
                <td class=" dataCell right ">{!tl.Disruption}%</td>
                <td class=" dataCell right ">{!tl.lastCycleCalls}</td>
                <td class=" dataCell right ">{!tl.OrginalCalls}</td>
                <td class=" dataCell right ">{!tl.proposedCalls}</td>
                <td class=" dataCell right ">{!tl.change}%</td>
                
                </tr>
                </apex:repeat>
                <tr>
	                <td colspan="6"><b> Total</b></td>
	                
	                <td class=" dataCell right "> <b>{!totalOrignalTarget}</b></td>
	                <td class=" dataCell right "> <b>{!TotalproposedTarget}</b></td>
	                
	                 <td> </td>
	                <td> </td>
	                <td> </td>
	                <td> </td>
	                <td class=" dataCell right "> <b>{!totalOrignalCall}</b></td>
	                <td class=" dataCell right "> <b>{!totalproposedCall}</b></td>
	                 <td> </td>
	                <td> </td>
                </tr>
              </tbody>
            </table>
             
    </div>
              
        
      <!-- <apex:column headerclass="tableheader" headerValue="Territory" value="{!tl.Territory}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Feedback Status" value="{!tl.FeedbackStatus}" style="  text-align: left;"/>
      
      
       <apex:column headerclass="tableheader" headerValue="Q4 2016" value="{!tl.lastCycleTarget}" style="  text-align: left;"/>
       
       <apex:column headerclass="tableheader" headerValue="Q1 2017" value="{!tl.originalTarget}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Feedback" value="{!tl.proposedTarget}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Adds" value="{!tl.add}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Drops" value="{!tl.drop}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Disruption" value="{!tl.Disruption}%" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Q4 2016" value="{!tl.lastCycleCalls}" style="  text-align: left;"/>
      
       <apex:column headerclass="tableheader" headerValue="Q1 2017" value="{!tl.OrginalCalls}" style="  text-align: left;"/>
      
      <apex:column headerclass="tableheader" headerValue="Feedback" value="{!tl.proposedCalls}" style="  text-align: left;"/>
      
       <apex:column headerclass="tableheader" headerValue="Change" value="{!tl.change}" style="  text-align: left;"/> -->
      
      
      
   <!-- </apex:pageblockTable>  -->
   
   

  </apex:pageblock>
  </apex:outputPanel>
<apex:outputPanel id="charttable">
   <!-- <apex:pageblock > -->
   <!--  <table class="list" cellspacing="0" cellpadding="0" border="0" style="width:50%">
        <caption>Targets Added for each territory by Reason code</caption>
              <tbody>
                    
                 <tr class="headerRow">
                    
                    <th></th>
                    <th colspan="4" class="center">Reason Codes</th>
                </tr>
                <tr class="headerRow">
                    <th>Territory</th>
                    
                    <th class="center">Next Best Target</th>
                    <th class="center">Co-located with another Target</th>
                    <th class="center">KOL/Influencer</th>
                    <th class="center">Co-located with Specialist</th>
                </tr>
              
                <apex:repeat value="{!addedlist}" var="al">
                <tr class="dataRow">
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!al.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!al.Territory}
                    </a>
                </td>
                <td class=" dataCell right ">{!al.reason1}</td>
                <td class=" dataCell right ">{!al.reason2}</td>
                <td class=" dataCell right ">{!al.reason3}</td>
                <td class=" dataCell right ">{!al.reason4}</td>
                
                </tr>
                </apex:repeat>
              </tbody>
            </table>

       <br/>
       <br/>
       <br/>
       

        <table class="list" cellspacing="0" cellpadding="0" border="0" style="width:50%">
        <caption>Targets dropped for each territory by Reason code</caption>
              <tbody>
                    
                 <tr class="headerRow">
                    
                    <th></th>
                    <th colspan="7" class="center">Reason Codes</th>
                </tr>
                <tr class="headerRow">
                    <th>Territory</th>
                    <th class="center">Customer on leave</th>
                    <th class="center">Alignment Changes</th>
                    <th class="center">Moved from territory</th>
                    <th class="center">Retired/Dead</th>
                    <th class="center">Selling team reassigned</th>
                    <th class="center">No access</th>
                    <th class="center">Incorrect address</th>
                </tr>
              
                <apex:repeat value="{!droppedlist}" var="dl">
                <tr class="dataRow">
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!dl.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!dl.Territory}
                    </a>
                </td>
                <td class=" dataCell right ">{!dl.reason1}</td>
                <td class=" dataCell right ">{!dl.reason2}</td>
                <td class=" dataCell right ">{!dl.reason3}</td>
                <td class=" dataCell right ">{!dl.reason4}</td>
                <td class=" dataCell right ">{!dl.reason5}</td>
                <td class=" dataCell right ">{!dl.reason6}</td>
                <td class=" dataCell right ">{!dl.reason7}</td>
                
                </tr>
                </apex:repeat>
              </tbody>
            </table>
         -->
        
   <br/>     
                        
                   <table>
                   <tr>   
                     <td>
                     
	                     <apex:pageblock >
	                             <div align="center" class="pbHeader" >
	                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
	                     
	                                <h2 class="header">Adds by Reason code</h2><br/>
	                             </div>
	                            </div>
	                    <!--  <div style="margin-left: 34%;">Adds by Reason code
	                     </div> -->
	                             <div class="pbBody"  align="center">
	                            <apex:chart data="{!addedlist}" height="400" width="700" background="white" >
	                                                           <!--  <apex:legend position="left" font="9px Helvetica" ></apex:legend> -->
	                                                            
	                                                            <div class="clear"></div>
	                                                            <apex:axis type="Numeric" position="left" title="Count" grid="true"
	                                                                fields="reason1,reason2,reason3,reason4,reason5,reason6" steps="2"  >
	                                                                
	                                                                <apex:chartLabel />  
	                                                            </apex:axis>
	                                                            <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
	                                                                <apex:chartLabel rotate="90" font="bold 10px Helvetica" />
	                                                            </apex:axis>
	                                                            <apex:barSeries orientation="vertical" axis="left" stacked="true"   colorSet="#7FFF00,#D2691E,#FF7F50,#0000FF,#DC143C,#B8860B"
	                                                           
	                                                                xField="Territory" yField="reason1,reason2,reason3,reason4,reason5,reason6" 
	                                                                title="Non-specialist Customer located with specialist,Customer is an influencer,Customer is a KOL/influencer,Customer is a next best target,Customer co-located with target,None">
	                                                                 
	                                                                <apex:chartTips height="40" width="120"/>  <!-- colorSet="#78C953,#0B6FCE,#E27001,#A845DC,#F3D904" -->
	                                                            </apex:barSeries>
	                                                                
	                            </apex:chart>
	                            <br/>
	                            <apex:image url="{!$Resource.AddLegend}" />
	                           
	                          </div>  
	                        </apex:pageblock>
	                  
                       </td>
                       <td>
                       
                        <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Drops by Reason code</h2><br/>
                             </div>
                            </div>
                       <!-- <div style="margin-left: 34%;">Drops by Reason code
                     </div> -->
                     <div class="pbBody"  align="center">
                        <apex:chart data="{!droppedlist}" height="400" width="700" background="white" >
                                                       <!--  <apex:legend position="left" font="9px Helvetica" id="legend"></apex:legend> -->
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="reason1,reason2,reason3,reason4,reason5,reason6,reason7,reason8,reason9,reason10,reason11,reason12" steps="2" >
                                                            
                                                             <apex:chartLabel />
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
                                                            <apex:chartLabel rotate="90"  font="bold 10px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:barSeries orientation="vertical" axis="left" stacked="true"  colorSet="#7FFF00,#D2691E,#FF7F50,#0000FF,#DC143C,#B8860B,#008B8B,#FF8C00,#800080,#FF1493,#FFD700,#FF0000"
                                                        
                                                            xField="Territory" yField="reason1,reason2,reason3,reason4,reason5,reason6,reason7,reason8,reason9,reason10,reason11" 
                                                            title="Customer on leave,Customer not found,Moved from territory,Retired/Dead,No Access - Managed markets,No physical access,Drive time,DSI Overlap,Selling team reassigned,Incorrect address,Due to ZIP movement">
                                                             
                                                            <!-- <apex:chartTips height="40" width="120" rendererFn="renderChartTip"/> -->
                                                             <apex:chartTips height="50" width="120"/> 
                                                        </apex:barSeries>
                                                            
                        </apex:chart>
                        <br/>
                        <apex:image url="{!$Resource.DropLegend}" />
                            
                        </div>
                        </apex:pageblock>
                        </td>
                        </tr>
                       </table> 
                       <br/>
                        <!-- <table>
                        <tr>
                            <td>
                                    <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Targets Added by segment</h2><br/>
                             </div>
                            </div>
                                 <div class="pbBody"  align="center">
                                    <div style="margin-left:34%;">Targets Added by segment</div>
                                    <apex:chart data="{!addedSegmentlist}" height="400" width="700" background="white"  name="Targets Added by segment
">
                                                        <apex:legend position="bottom"  font="9px Helvetica"></apex:legend>
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="reason1,reason2,reason3" steps="2" >
                                                            
                                                             <apex:chartLabel />
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
                                                            <apex:chartLabel rotate="240"  font="bold 10px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:barSeries orientation="vertical" axis="left" stacked="true"
                                                        
                                                            xField="Territory" yField="reason1,reason2,reason3" 
                                                            title="Low,High,Medium">
                                                             
                                                            <apex:chartTips height="40" width="120"/>
                                                        </apex:barSeries>
                                                            
                            </apex:chart>
                            
                            <script>
                    function renderChartTip(klass, item) 
                    {
                        //alert('test');
                        var yField = item.yField;
                       //alert('yField----'+yField);
                        var amount = item.storeItem.get(yField === 'reason1' ?'reason1' : (yField === 'reason2'?'reason2':'reason3');
                        this.setTitle('Amount is ' + amount);
                    }
</script>
                            </div>
                            </apex:pageblock>
                            </td>
                            <td>
                                    <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Targets Dropped by segment</h2><br/>
                             </div>
                            </div>
                                 <div class="pbBody"  align="center">
                           <div style="margin-left: 34%;">Targets Dropped by segment</div>
                                <apex:chart data="{!droppedSegmentlist}" height="400" width="700" background="white"  >
                                                        <apex:legend position="bottom" font="9px Helvetica" ></apex:legend>
                                                        <div class="clear"></div>
                                                        <apex:axis type="Numeric" position="left" title="Count" grid="true"
                                                            fields="reason1,reason2,reason3" steps="2" >
                                                            
                                                             <apex:chartLabel />
                                                        </apex:axis>
                                                        <apex:axis type="Category" position="bottom" fields="Territory" title="Territory" >
                                                            <apex:chartLabel rotate="240"  font="bold 10px Helvetica"/>
                                                        </apex:axis>
                                                        <apex:barSeries orientation="vertical" axis="left" stacked="true"
                                                        
                                                            xField="Territory" yField="reason1,reason2,reason3" 
                                                            title="Low,High,Medium">
                                                             
                                                            <apex:chartTips height="40" width="120" >
                                                            
                                                            </apex:chartTips>
                                                            
                                                           
                                                        </apex:barSeries>
                                                            
                            </apex:chart>
                            
                            </div>
                            
                            </apex:pageblock>
                            
                            </td>
                        </tr>
                        </table>
    -->
  <!--  </apex:pageblock> -->
   </apex:outputPanel>
  
  </apex:form>
  

</apex:page>